package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.util.Objects;

/**
 * OuiProfileSummaryOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class OuiProfileSummaryOpenApiVo   {
  @JsonProperty("id")
  private String id;

  @JsonProperty("name")
  private String name;

  public OuiProfileSummaryOpenApiVo id(String id) {
    this.id = id;
    return this;
  }

  /**
   * OUI Profile ID
   * @return id
  */
  @ApiModelProperty(value = "OUI Profile ID")


  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public OuiProfileSummaryOpenApiVo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * OUI Profile name should contain 1 to 64 characters.
   * @return name
  */
  @ApiModelProperty(required = true, value = "OUI Profile name should contain 1 to 64 characters.")
  @NotNull

@Pattern(regexp="^[^ ]$|^[^ ].{0,62}[^ ]$") 
  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    OuiProfileSummaryOpenApiVo ouiProfileSummaryOpenApiVo = (OuiProfileSummaryOpenApiVo) o;
    return Objects.equals(this.id, ouiProfileSummaryOpenApiVo.id) &&
        Objects.equals(this.name, ouiProfileSummaryOpenApiVo.name);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, name);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class OuiProfileSummaryOpenApiVo {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

